Bug 712681 - Couchdb service is not starting in fedora 15
Summary: Couchdb service is not starting in fedora 15
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: couchdb
Version: 15
Hardware: i686
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-12 13:29 UTC by wirewit
Modified: 2011-07-12 14:57 UTC (History)
2 users (show)

Fixed In Version: erlang-ibrowse-2.2.0-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-29 21:55:16 UTC


Attachments (Terms of Use)
tmpfiles.d config (38 bytes, application/octet-stream)
2011-06-14 18:16 UTC, Wendall Cada
no flags Details

Description wirewit 2011-06-12 13:29:01 UTC
Description of problem:
After installing couchdb, it is not starting via systemd
Error message is:
Starting couchdb (via systemctl): Job failed. See system logs and 'systemctl status' for details

Version-Release number of selected component (if applicable): 1.0.2-6.fc15.i686


How reproducible:
sudo service couchdb start


Steps to Reproduce:
1. yum install couchdb
2. service couchdb start
  
Actual results:
Starting couchdb (via systemctl): Job failed. See system logs and 'systemctl status' for details


Expected results:


Additional info:
I have solve this problem by manually creating directory named 'couchdb' in /var/run, and setting its' owner to couchdb user:
sudo mkdir /var/run/couchdb
sudo chown couchdb /var/run/couchdb

Comment 1 Wendall Cada 2011-06-14 18:16:14 UTC
Created attachment 504733 [details]
tmpfiles.d config

Adding the attached config file for systemd in /etc/tmpfiles.d/ resolves this issue. Simply adding the file will work until a reboot. /var/run is a tmpfs mounted filesystem now. A reboot will just remove the directory.

Comment 2 Fedora Update System 2011-06-18 12:38:13 UTC
erlang-ibrowse-2.2.0-2.fc14,couchdb-1.0.2-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/erlang-ibrowse-2.2.0-2.fc14,couchdb-1.0.2-7.fc14

Comment 3 Fedora Update System 2011-06-18 12:38:25 UTC
erlang-ibrowse-2.2.0-2.el6,couchdb-1.0.2-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/erlang-ibrowse-2.2.0-2.el6,couchdb-1.0.2-7.el6

Comment 4 Fedora Update System 2011-06-18 12:38:36 UTC
couchdb-1.0.2-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/couchdb-1.0.2-7.fc15

Comment 5 Fedora Update System 2011-06-21 17:09:45 UTC
Package couchdb-1.0.2-7.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing couchdb-1.0.2-7.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/couchdb-1.0.2-7.fc15
then log in and leave karma (feedback).

Comment 6 Egon Kastelijn 2011-06-25 07:09:40 UTC
Problem solved.
Karma given.
;)

Comment 7 Fedora Update System 2011-06-29 21:55:06 UTC
erlang-ibrowse-2.2.0-2.fc14, couchdb-1.0.2-7.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-06-29 22:03:31 UTC
couchdb-1.0.2-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-07-12 14:57:40 UTC
erlang-ibrowse-2.2.0-2.el6, couchdb-1.0.2-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.